ALADIN(1)

NAME
aladin - interactive software sky atlas

SYNOPSIS
aladin [options...] [filenames...]
aladin -hipsgen|-mocgen [-h] [options...]
aladin -help|-version

DESCRIPTION
aladin is an interactive sky atlas for viewing astronomical images in the online Virtual Observatory (VO) developed by the Centre de Données astronomiques de Strasbourg (CDS). It is possible to superimpose entries from astronomical catalogues or databases with remotely accessed data fetched on demand.

Aladin can also open and save to a large number of astronomical image formats (FITS, HEALPix, JPEG/GIF/PNG/...); and table formats (FITS, VO-Table, CSV/TSV, S-extractor, IPAC-TBL, Skycat, ASCII, ...).

This manual describes only the command line parameters of aladin. The possibilities of the graphical user interface can be discovered with the Help menu once the program is started.

OPTIONS

-help
    show top-level help

-version
    display the Aladin release number

-local
    skip internet connectivity tests (off-line usage)

-screen=full|cinema|preview|frame
    start in full-screen, cinema, preview, or other visual modes.

-script=cmd1;cmd2;...
    script commands passed on the command-line

-nogui
    script-mode. Does not use graphical user interface. Equivalent to -noplugin -nohub

-[no]hub
    disable/enable starting the internal SAMP communcations hub for sharing data with other astronomical applications

-[no]plugin
    disable/enable plugin support

  Debugging Options

-[no]beta
    disable/enable features that currently in beta-test

-[no]proto
    disable/enable prototype feature. Useful for testing or when performing demonstrations

-trace
    debugging trace mode

-debug
    debugging extra verbose mode

  HiPS command parameters
The -hipsgen command allows a script-/command-line based Hierarchical Progressive Surveys (HiPS) generation. The options can be given on the command line, or in a config file (param=configfile). Additional parameters may be retrieved with the command aladin -hipsgen -h.

in=dir|file
    Source image directory (FITS or JPEG|PNG +hhh or HiPS) or unique image or HEALPix map file (required parameter)

out=dir
    HiPS target directory (default $PWD+"HiPS")

obs_title=name
    Name of the survey (by default, input directory name)

creator_did=id
    HiPS identifier (syntax: [ivo://]AUTHORITY/internalID)

hips_creator=name
    Name of the person or institute who builds the HiPS

hips_status=private|public clonable|clonableOnce|unclonable
    HiPS status (default: public clonableOnce)

hdu=n1,n2-n3,...|all
    List of HDU numbers (0 is the primary HDU - default is 0)

blank=nn
    Specifical BLANK value

skyval=key|auto|%info|%min %max
    FITS key to use for removing a sky background, or auto detection or percents of pixel histogram kept (central ex 99, or min max ex 0.3 99.7)

color=jpeg|png
    The source images are colored images (jpg or png) and the tiles will be produced in jpeg (resp. png)

shape=ellipse|rectangle
    Shape of the observations

border=...
    Margins (in pixels) to ignore in the original observations (N W S E or constant)

fov=true|x1,y1..
    Observed regions by files.fov or global polygon (in FITS convention).

pilot=nnn
    Pilot test limited to the nnn first original images.

verbose=n
    Debug information from -1 (nothing) to 4 (a lot)

-live
    incremental HiPS (keep weight associated to each HiPS pixel)

-f  clear previous computations

-n  Just print process information, but do not execute it.

  MOC command parameters
The -mocgen command generates the MOC (Multi Object Coverage Map) corresponding to a collection of images or WCS headers. A MOC is a a coverage map based on HEALPix sky tesselation.

The supported formats are: FITS files, MEF files, jpeg or png files (WCS header in the comment segment), .hhh file (FITS header files without pixels) and .txt simple ASCII file (FITS header as keyword = value basic ASCII lines).

-v  Verbose mode

-strict
    Scan pixel values instead of using WCS image coverage

blank=value
    Alternate BLANK value (-strict only)

order=nn
    MOC resolution (default 10 => 3.345')

mocfmt=fits|json
    MOC output format (default FITS)

previous=moc.fits
    Previous MOC (if additions)

hdu=n1,n2-n3|all
    List of concerned FITS extensions

-r  Recursive directory scanning

-o  Output MOC updated continuously rather than generated at the end

in=fileOrDir
    Directory of images/headers collection

out=outMoc.fits
    Output MOC file

-d  Debug trace

DATA FORMATS
Aladin is able to process the following file formats:

images
    FITS (gzipped,RICE,MEF,...), HEALPix maps, JPEG,GIF,PNG

tables
    FITS, XML/VOTable, CSV, TSV, S-extractor, IPAC-TBL, Skycat or ASCII tables

graphics
    Aladin or IDL or DS9 regions, MOCs

directories
    HiPS (Hierarchical Progressive Surveys)

Aladin backups
    Files with "*.aj" extension

Aladin scripts
    Files with "*.ajs" extension

AUTHORS
Aladin was written by Pierre Fernique (Aladin Desktop core base & documentations), Thomas Boch (many advanced Aladin Desktop features), Anaïs Oberto (RGB support, HiPS prototypes), François Bonnarel (Image calibration), and Chaitra (TAP,SIAv2 implementation).

COPYRIGHT
Copyright © 1999-2017 Universite de Strasbourg / Centre de Donnees astronomiques de Strasbourg (CDS/CNRS)

Aladin is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

If the Aladin Sky Atlas was helpful for your research work, the following citation would be appreciated: This research has made use of "Aladin sky atlas" developed at CDS, Strasbourg Observatory, France. 2000A&AS..143...33B and 2014ASPC..485..277B.

HOMEPAGE
http://aladin.u-strasbg.fr/

SEE ALSO
The user manual is available in PDF format in french language at
 http://aladin.u-strasbg.fr/java/AladinManuelV10.pdf

An older version is available in english:
 http://aladin.u-strasbg.fr/java/AladinManual6.pdf